# hypervisor

Compute v2

## hypervisor list

List hypervisors

    openstack hypervisor list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--matching <hostname>]
        [--limit <limit>]
        [--marker <marker>]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--matching <hostname>

  Filter hypervisors using <hostname> substringHypervisor Type and Host IP are not returned when using microversion 2.52 or lower

--limit <limit>

  The maximum number of entries to return. If the value exceeds the server-defined maximum, then the maximum value will be used.

--marker <marker>

  The first position in the collection to return results from. This should be a value that was returned in a previous request.

--long

  List additional fields in output

## hypervisor show

Display hypervisor details

    openstack hypervisor show <hypervisor>

hypervisor

  Hypervisor to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.